Instalasi pada Linux

Persyaratan Sistem pada Linux:

  1. Operating Systems : Linux (64-bit)
  2. Disk Space : 600 MB (belum termasuk penyimpanan untuk IDE/tools).
  3. Tools : Flutter membutuhkan beberapa tools yang sudah ada, seperti: bash, curl, git 2.x, mkdir, rm, unzip, which, xz-utils, zip dan libGLU.so.1 - yang disediakan oleh mesa packages seperti libglu1-mesa di Ubuntu/Debian.

Instalasai Flutter pada Linux:

  1. Mendownload SDK Flutter versi stable yang sudah release pada alamat url: https://storage.googleapis.com/flutter_infra/releases/stable/linux/flutter_linux_1.17.1-stable.tar.xz dan ekstrak file zip yang sudah diunduh pada folder yang diinginkan, misalnya pada folder development: $ mkdir development && cd development && tar xf ~/Downloads/flutter_linux_1.17.1-stable.tar.xz

atau

  1. Alternatif lain untuk mendapatkan SDK Flutter adalah dengan mengunduh dari repositori github flutter versi stable yang sudah release dengan perintah sebagai berikut: $ git clone https://github.com/flutter/flutter.git -b stable

Konfigurasi setelah melakukan instalasi Flutter:

  1. Tambahkan Flutter ke Path kalian: $ export PATH="$PATH:`pwd`/flutter/bin"
  2. Secara opsional, jalankan perintah pra-unduh binari pengembangan: $ flutter precache